# `m-built-in-menu-item`

A built-in menu is a structured list of navigational or interactive options, typically displayed as a vertical stack. It allows users to browse categories, access settings, or navigate through different sections of an interface.

## Props

| Name | Description | Type | Default |
|------|-------------|------|---------|
| `label*` | The label used for the menu item. | `string` |   |
| `href` | URL for the menu item link. | `string` |   |
| `target` | Where to open the link. | `'_self'` `'_blank'` `'_parent'` `'_top'` |   |
| `selected*` | If `true`, the menu item will be selected. | `boolean` |   |

## Slots

| Name | Description |
|------|-------------|
| `icon` | Use this slot to insert an icon before the label. |

## Dependencies

### Used By

- [m-check-list-menu](../checklistmenu/README.md)

### Graph

```mermaid
graph TD;
  m-check-list-menu --> m-built-in-menu-item
style m-built-in-menu-item fill:#008240,stroke:#333,stroke-width:4px
```
